classification
Title: Use specific asserts in tkinter tests
Type: enhancement Stage: resolved
Components: Tests, Tkinter Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: ezio.melotti, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-11-15 08:09 by serhiy.storchaka, last changed 2013-11-17 12:48 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_tkinter_asserts.patch serhiy.storchaka, 2013-11-15 08:09 review
Messages (3)
msg202924 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-15 08:09
The proposed patch makes the tkinter package tests use more specific asserts. This will provide more useful failure report.
msg203094 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-11-16 22:01
LGTM.
msg203137 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-17 10:58
New changeset 9d1309e31491 by Serhiy Storchaka in branch '3.3':
Issue #19602: Use specific asserts in tkinter tests.
http://hg.python.org/cpython/rev/9d1309e31491

New changeset a3ed49cf7c70 by Serhiy Storchaka in branch 'default':
Issue #19602: Use specific asserts in tkinter tests.
http://hg.python.org/cpython/rev/a3ed49cf7c70

New changeset 0aed137d0d49 by Serhiy Storchaka in branch '2.7':
Issue #19602: Use specific asserts in tkinter tests.
http://hg.python.org/cpython/rev/0aed137d0d49

New changeset 6bd5e4325506 by Serhiy Storchaka in branch '2.7':
Fix merge error in issue #19602.
http://hg.python.org/cpython/rev/6bd5e4325506
History
Date User Action Args
2013-11-17 12:48:30serhiy.storchakasetstatus: open -> closed
assignee: serhiy.storchaka
resolution: fixed
stage: commit review -> resolved
2013-11-17 10:58:21python-devsetnosy: + python-dev
messages: + msg203137
2013-11-16 22:01:43ezio.melottisetnosy: + ezio.melotti

messages: + msg203094
stage: patch review -> commit review
2013-11-15 08:14:58serhiy.storchakalinkissue16510 dependencies
2013-11-15 08:09:59serhiy.storchakacreate